# Poco::Data

# class PooledSessionHolder

Library: Data
Package: SessionPooling
Header: Poco/Data/PooledSessionHolder.h

## Description

This class is used by SessionPool to manage SessionImpl objects.

## Inheritance

Direct Base Classes: Poco::RefCountedObject

All Base Classes: Poco::RefCountedObject

## Member Summary

Member Functions: access, idle, owner, session

Inherited Functions: duplicate, referenceCount, release

## Constructors

### PooledSessionHolder

PooledSessionHolder(
SessionPool & owner,
SessionImpl * pSessionImpl
);

Creates the PooledSessionHolder.

## Destructor

### ~PooledSessionHolder

~PooledSessionHolder();

Destroys the PooledSessionHolder.

## Member Functions

### access

void access();

Updates the last access timestamp.

### idle

int idle() const;

Returns the number of seconds the session has not been used.

### owner

SessionPool & owner();

Returns a reference to the SessionHolder's owner.

### session

SessionImpl * session();

Returns a pointer to the SessionImpl.